> For the complete documentation index, see [llms.txt](https://docs.appkickstarter.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.appkickstarter.com/features/maps-and-locations.md).

# Maps and locations

AppKickstarter comes with a GoogleMap and MapKit implementation that you just have to use.

### Observe location

With *ObserveLocation* you can start user location tracker and get a Flow of GpsPosition

```
fun invoke(): Flow<GpsPosition>
suspend fun startTracking()
fun stopTracking()
```

You just have to call this:&#x20;

```
observeLocation.startTracking()
```

```
observeLocation().collect { latlng ->
    // your code
}
```

### Display location on a Map

MapView creates a GoogleMap on Android and a MapKit on iOS :&#x20;

```
val verticalScrollEnableState = remember { mutableStateOf(true) }
MapView(
    modifier = Modifier
        .padding(horizontal = 12.dp),
    gps = gpsPosition,
    title = "Author location",
    parentScrollEnableState = verticalScrollEnableState,
)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appkickstarter.com/features/maps-and-locations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
